{% extends 'index.html' %}

{% block content1 %}
<div class="register">
    <div class="wrapper-register">
        <div class="register-form">
            <div class="form-wrapper" id="form-wrapper-confirm">
                {% if validlink %}
                <div class="header-register" id="header-wrapper-confirm">
                    <h3 id="header-confirm">Please enter your new password <i class="fa fa-arrow-down"></i></h3>
                </div>
                <form action="" method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group">
                        {{ form.new_password1.errors }}
                        {{ form.new_password1.label_tag }}
                        {{ form.new_password1 }}
                    </div>
                    <div class="form-group">
                        <label for="id_new_password2">Confirm password:</label>
                        {{ form.new_password2 }}
                    </div>

                    <button class="btn btn-success" type="submit">Change my password</button>
                </form>
                {% else %}
                <h1>Password reset failed</h1>
                <p>The password reset link was invalid or already used. Please request a new password reset.</p>
                {% endif %}
            </div>
        </div>
    </div>
</div>
<script>
    let conf = document.getElementById("form-wrapper-confirm")
    conf.style.display = "unset";
    let pass1 = document.getElementById("id_new_password1");
    let pass2 = document.getElementById("id_new_password2");
    pass1.classList.add("form-control");
    pass2.classList.add("form-control");

</script>
{% endblock %}